# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global github_name pymacaroons
%global pypi_name pymacaroons-pynacl

Name:           python-%{pypi_name}
Version:        0.9.3
Release:        1%{?dist}.3
Summary:        Macaroon library for Python

License:        MIT
URL:            https://github.com/%{github_user}/%{github_name}
Source0:        https://github.com/%{github_user}/%{github_name}/archive/v%{version}/${github_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.


%package -n     python2-%{pypi_name}
Summary:        Macaroon library for Python
%{?python_provide:%python_provide python2-%{pypi_name}}
Provides:       python-%{github_name} = %{version}-%{release}
Provides:       python2-%{github_name} = %{version}-%{release}

%description -n python2-%{pypi_name}
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.


%package -n     python3-%{pypi_name}
Summary:        Macaroon library for Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-%{github_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.


%prep
%autosetup -n %{github_name}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%doc README.md
%doc LICENSE
%{python2_sitelib}/%{github_name}
%{python2_sitelib}/pymacaroons_pynacl-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.md
%doc LICENSE
%{python3_sitelib}/%{github_name}
%{python3_sitelib}/pymacaroons_pynacl-%{version}-py?.?.egg-info

%changelog
* Wed Nov 25 2015 Oleg Girko <ol@infoserver.lv> - 0.9.3-1
- Initial package.
